Subject: Offline Message from Rana: Hello My shipment is on hold for 4 days now thoug
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 16 Jun 2020 10:43:27 -0000

From: Rana <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/trackhistory/track/shipmenttrack?id=ZStTWGJ2ZXcvdkdqcEVBdXdVZ3V0QT09/
Department: 

Hello 
My shipment is on hold for 4 days now though it is already in dammam where I live I try to call HDL but no one answers expect the answering machine which tills me what i already know “the shipment is on hold” but I want to know why am I the one who supposed to take but if thats the case they should call and tell me the location

----
Zopim
https://www.zopim.com